# WALHS.py
import sys

class LES_WALHS:
    ROT3 = ["123","132","213","231","312","321"]
    ARMY = [
 "123","124","125","132","134","135","142","143","145","152","153","154",
 "213","214","215","231","234","235","241","243","245","251","253","254",
 "312","314","315","321","324","325","341","342","345","351","352","354",
 "412","413","415","421","423","425","431","432","435","451","452","453",
 "512","513","514","521","523","524","531","532","534","541","542","543"
    ]

    def __init__(self, lst ):
        self.index = -1
        tb = lst.split(":")
        if len(tb) ==  1:
            if  lst == "ROT3":
                self.Walhs = LES_WALHS.ROT3
            elif lst == "ARMY":
                self.Walhs = LES_WALHS.ARMY
            else:
                self.Walhs = tb
        else:
            self.Walhs = tb

    def __iter__(self):
        return self

    def __next__(self): # Python 3: def __next__(self)
        if self.index >= (len(self.Walhs)-1):
            raise StopIteration
        else:
            self.index += 1
            return self.Walhs[ self.index ]

#--------------------------------------------------
if __name__ == "__main__":
    for c in LES_WALHS( sys.argv[1]):
        print(c)
